#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA3,0xCE,0xF6,0x95,0x1D,0xC8,0x09,0xA9,0x98,0xF6,0x77,0xCD,
		0x32,0x15,0xC8,0x08,0x1C,0xD5,0x55,0x54,0xD0,0x12,0x94,0xE9,
		0xC6,0x61,0x6E,0xB6,0xE2,0x7F,0x96,0xB0,0x6E,0x6D,0x58,0x5A,
		0xC5,0xC2,0x66,0xA1,0xED,0x7A,0x44,0x78,0xA6,0x80,0x79,0xBA,
		0xB1,0xCC,0x3D,0x52,0xBC,0x8E,0x85,0x17,0xFA,0x2D,0x86,0xD8,
		0xD2,0xDD,0xEB,0xDB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
